# SignalWire Ruby


[![Build Status](https://ci.signalwire.com/api/badges/signalwire/signalwire-ruby/status.svg)](https://ci.signalwire.com/signalwire/signalwire-ruby) [![Gem Version](https://badge.fury.io/rb/signalwire.svg)](https://badge.fury.io/rb/signalwire)

The Relay SDK for Ruby enables Ruby developers to connect and use SignalWire's Relay APIs within their own Ruby code. Our Relay SDK allows developers to build or add robust and innovative communication services to their applications.

## Getting Started

Read the implementation documentation, guides and API Reference at the official [Relay SDK for Ruby Documentation](https://docs.signalwire.com/topics/relay-sdk-ruby) site.

---

## Contributing

Relay SDK for Ruby is open source and maintained by the SignalWire team, but we are very grateful for [everyone](https://github.com/signalwire/signalwire-ruby/contributors) who has contributed and assisted so far.

If you'd like to contribute, feel free to visit our [Slack channel](https://signalwire.community/) and read our developer section to get the code running in your local environment.

## Developers

The Ruby SDK is a gem built from the [signalwire-ruby](https://github.com/signalwire/signalwire-ruby) repository. To setup the dev environment follow these steps:

1. Install Ruby, Bundler and Rubygems. [RVM](https://rvm.io/) is an easy to use Ruby installer and environment manager.
2. Fork the [signalwire-ruby](https://github.com/signalwire/signalwire-ruby) repository and clone it.
3. Create a new branch from `master` for your change.
4. Run `bundle install` to install global dependencies.
5. Run `bundle exec guard -c` to start watching your files and specs.
6. Make changes!

## Versioning

Relay SDK forRuby follows Semantic Versioning 2.0 as defined at <http://semver.org>.

## License

Relay SDK for Ruby is copyright © 2018-2019
[SignalWire](http://signalwire.com). It is free software, and may be redistributed under the terms specified in the [MIT-LICENSE](https://github.com//signalwire/signalwire-ruby/blob/master/LICENSE) file.